Subject: Re: bug#65761: OpenBLAS ILP64 using `-ilp64` lib name suffix instead of the standard `64_`
From: Ludovic Courtès <[email-masked]>
To: Maya Tomasek <[email-masked]>
Cc: [email-masked]
Date: Sat, 28 Oct 2023 12:03:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Maya,

Maya Tomasek <[email-masked]> skribis:

> The problem is as per official OpenBLAS docs
> (https://github.com/xianyi/OpenBLAS/blob/c3f2a3c0ca8d4a3700f81f176dd3f1bc08cff3dd/docs/distributing.md?plain=1#L79)
> that some applications expect a `libopenblas64_.so` name, but Guix
> chooses it's custom `-ilp64`. This messes up with Julia for example. If
> the suffix `-ilp64` is needed, there also needs to be a `64_`
> suffix. Otherwise some apps inexplicably fail on a wrongly named file.

If I’m not mistaken, this was fixed by
a473d562ffdd745285fa6c82ba9a8d7e421e8bca (precisely while addressing an
issue with Julia).

I’m closing the issue but please reopen if I got it wrong!

Ludo’.